<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\tenantapi\logic\master_worker;


use app\common\model\master_worker\MasterWorkerInfo;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * MasterWorkerInfo逻辑
 * Class MasterWorkerInfoLogic
 * @package app\tenantapi\logic\master_worker
 */
class MasterWorkerInfoLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/10/07 18:58
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            MasterWorkerInfo::create([
                'worker_id' => $params['worker_id'],
                'real_name' => $params['real_name'],
                'id_card' => $params['id_card'],
                'id_card_front_img' => $params['id_card_front_img'],
                'id_card_opposite_img' => $params['id_card_opposite_img'],
                'mobile' => $params['mobile'],
                'address' => $params['address'],
                'audit_state' => $params['audit_state'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/10/07 18:58
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            MasterWorkerInfo::where('id', $params['id'])->update([
                'worker_id' => $params['worker_id'],
                'real_name' => $params['real_name'],
                'id_card' => $params['id_card'],
                'id_card_front_img' => $params['id_card_front_img'],
                'id_card_opposite_img' => $params['id_card_opposite_img'],
                'mobile' => $params['mobile'],
                'address' => $params['address'],
                'audit_state' => $params['audit_state'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/10/07 18:58
     */
    public static function delete(array $params): bool
    {
        return MasterWorkerInfo::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2024/10/07 18:58
     */
    public static function detail($params): array
    {
        return MasterWorkerInfo::findOrEmpty($params['id'])->toArray();
    }

    public static function getWorkerIds($params): array
    {
        return MasterWorkerInfo::where('id',is_array($params['id'])?'in':'=',$params['id'])->column('worker_id');
    }
}